Touchpad showing as PS/2 Generic Mouse

Bug #1809841 reported by Jonathan on 2018-12-27

This bug report will be marked for expiration in 58 days if no further activity occurs. (find out why)

6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

The touchpad on my HP 1011 Elite X2 G1 is showing as a PS/2 mouse after installation in xinput. Multitouch gestures do not work and installing xserver-xorg-input-synaptics did not resolve the issue. The touch pad uses the Synaptics driver in Windows 10.

Other functionalities of the keyboard do work such as enabling/disabling wireless and volume up/down.

The touchpad should be able to use multitouch for two-finger scrolling and two-finger tap for right click but instead only single touch inputs are accepted for left and right click. No multitouch gestures are recognized.

Current version is Ubuntu 4.15.0-43.46-generic 4.15.18 on Ubuntu 18.04.1 LTS.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: linux-image-4.15.0-43-generic 4.15.0-43.46
ProcVersionSignature: Ubuntu 4.15.0-43.46-generic 4.15.18
Uname: Linux 4.15.0-43-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/pcmC1D0p: johnny 1379 F...m pulseaudio
 /dev/snd/controlC0: johnny 1379 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
Date: Wed Dec 26 19:31:50 2018
InstallationDate: Installed on 2018-12-21 (5 days ago)
InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725)
MachineType: Hewlett-Packard HP Elite x2 1011 G1 Tablet
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-43-generic root=UUID=0d10c1f2-6c44-4717-a4df-73b592d11fe3 ro i8042.reset quiet splash vt.handoff=1
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: Daemon not responding.
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-43-generic N/A
 linux-backports-modules-4.15.0-43-generic N/A
 linux-firmware 1.173.2
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/30/2018
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: M72 Ver. 01.25
dmi.board.name: 2009
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 79.61
dmi.chassis.asset.tag: 5CG5465MYV
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvrM72Ver.01.25:bd10/30/2018:svnHewlett-Packard:pnHPElitex21011G1Tablet:pvrA3009FD10303:rvnHewlett-Packard:rn2009:rvrKBCVersion79.61:cvnHewlett-Packard:ct10:cvr:
dmi.product.family: 103C_5336AN G=N L=BUS B=HP S=ELI
dmi.product.name: HP Elite x2 1011 G1 Tablet
dmi.product.version: A3009FD10303
dmi.sys.vendor: Hewlett-Packard

Jonathan (net-work-error) wrote :
Jonathan (net-work-error) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v5.0 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.0-rc1/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Jonathan (net-work-error) wrote :

Confirmed

tags: added: kernel-bug-exists-upstream
Jonathan (net-work-error) wrote :
Jonathan (net-work-error) wrote :
Jonathan (net-work-error) wrote :
Kai-Heng Feng (kaihengfeng) wrote :

The dmesg contains full of "System PCM: error: failed to commit stream -110", no touchpad related message can be found.

Jonathan (net-work-error) wrote :

After performing another apt-get upgrade today the dmesg output provides more information including information on the PS/2 input being recognized.

I see this section specifically showing the touchpad not being recognized correctly:
[ 6.137005] input: Atmel Atmel maXTouch Digitizer as /devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/0003:03EB:8A40.0002/input/input10
[ 6.137143] hid-generic 0003:03EB:8A40.0002: input,hidraw0: USB HID v1.11 Device [Atmel Atmel maXTouch Digitizer] on usb-0000:00:14.0-8/i
nput0
[ 6.139622] hid-generic 0003:03EB:8A40.0003: hiddev0,hidraw1: USB HID v1.11 Device [Atmel Atmel maXTouch Digitizer] on usb-0000:00:14.0-8
/input1
[ 6.139671] usbcore: registered new interface driver usbhid
[ 6.139672] usbhid: USB HID core driver
[ 6.142764] input: PS/2 Generic Mouse as /devices/platform/i8042/serio1/input/input9
[ 6.144682] psmouse serio1: bad data from KBC - timeout
[ 6.172060] hid-generic 0018:0483:91D1.0001: hidraw2: I2C HID v1.00 Device [SMO91D0:00 0483:91D1] on i2c-SMO91D0:00
[ 6.349611] psmouse serio1: bad data from KBC - timeout
[ 6.553468] psmouse serio1: bad data from KBC - timeout

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers